import java.io.*;

// LoadDouble ist eine Methode, die Eingaben aus einer Datei liest
// Der Anwender sollte gezwungen werde, eine Exception abzufangen
// Hier wird eine interne Exception ausgelöst

public class exception5 {

   private static void pause() {
    try {
      System.out.print("Ende mit Taste"); 
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause


  public static Double loadDouble(String sFileName) throws IOException {
    int i=1;
    if (i==1) throw new EOFException(
       "Modul loadDouble (Datei hat falschen Header)");
    return new Double(1);
  }// loadDouble

  public static void main(String argv[]) {
    Double d;
    try {
      d = loadDouble("c:\\1.dat");
    }
    catch (EOFException f) {
        System.err.println("main: " + f);
    }
    catch (IOException f) {
         System.err.println("main: " + f);
    }
    pause();
  }  // main
}

